nav {
    background-color: darkblue;
    padding: 10px;
}

nav a {
    color: white;
    display: block;
    padding: 20px;
}

h1 {
    color: darkblue;
}

img {
    width: 150px;
    height: auto;
    border: 1px solid black;
    padding: 2px;
    box-shadow: 0 0 30px gray;
}

p {
    padding: 1rem;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    color: rgb(3, 3, 186);
}

header,
.grid,
footer {
    max-width: 1200px;
    margin: 0 auto;
}

nav {
    background-color: #042849;
    padding: 1rem;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

nav a {
    display: block;
    padding: 0.5rem;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: 700;
    color: #fff;

    /*shorthand for white and #ffffff;*/
}

main {
    max-width: 50rem;
    grid-column: 2/3;
    margin: 1rem;
}

h1 {
    border-bottom: 1px solid #222;
}

aside {
    width: 30rem;
    position: relative;
    grid-column: 1/2;
    grid-row: 1/2;
    text-align: center;
    position: relative;
}

aside img {
    width: 200px;
    height: auto;
    text-align: center;
}

aside h2 {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 3rem;
}

main img {
    width: 115px;
    height: auto;
    border: 1px solid black;
    padding: 2px;
    box-shadow: 0 0 30px gray;
    float: right;
}

footer {
    background-color: #3e3e3e;
    color: #fff;
    padding: 2rem 1rem;
    margin-top: 15px;
    border-top: 1px solid #000;
    text-align: center;
}

ul {
    list-style: none;
    padding: 1rem;
}

/* Class Selectors */
.box {
    border: 1px solid#b71234;
    height: auto;
    padding: 1rem;
    background-color: #cccaca;
    color: #1e044e;
}

.grid {
    display: grid;
    align-items: center;
    gap: 2rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
}